/*
 * Copyright (C) 2002, 2003 Philip Blundell <philb@gnu.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */

#ifndef GTK_TIME_SEL_H
#define GTK_TIME_SEL_H

#include <gtk/gtk.h>

#define GTK_TYPE_TIME_SEL                  (gtk_time_sel_get_type ())
#define GTK_TIME_SEL(obj)                  (GTK_CHECK_CAST ((obj), GTK_TYPE_TIME_SEL, GtkTimeSel))
#define GTK_TIME_SEL_CLASS(klass)          (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_TIME_SEL, GtkTimeSelClass))
#define GTK_IS_TIME_SEL(obj)               (GTK_CHECK_TYPE ((obj), GTK_TYPE_TIME_SEL))
#define GTK_IS_TIME_SEL_CLASS(klass)       (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_TIME_SEL))

typedef struct _GtkTimeSel	   GtkTimeSel;
typedef struct _GtkTimeSelClass  GtkTimeSelClass;

GtkType		gtk_time_sel_get_type (void);

GtkWidget      *gtk_time_sel_new ();

gint		gtk_time_sel_get_hour (GtkTimeSel *sel);
void            gtk_time_sel_set_hour (GtkTimeSel *sel, guint t);
gint		gtk_time_sel_get_minute (GtkTimeSel *sel);
void            gtk_time_sel_set_minute (GtkTimeSel *sel, guint t);

#endif
